{-| Module      : Graph.Types
Description :
Copyright   : (c) CNRS, Alexandre Delanoë
License     : AGPL + CECILL v3
Maintainer  : alexandre+dev@delanoe.org
Stability   : experimental
Portability : POSIX


-}



module Graph.Types where

import qualified Data.Graph.Inductive.PatriciaTree as DGIP
import Data.IntMap (IntMap)
import qualified Eigen.Matrix as DenseMatrix
import Eigen.SparseMatrix (SparseMatrix)

-- | Main Types use in this libray

type Dict = IntMap

-- | Use the optimized version of Graph
type Graph a b = DGIP.Gr a b

-- | Type for Matrix computation optimizations (with Eigen)
type MatrixD          n = DenseMatrix.Matrix n n Double
type MatrixS          n = SparseMatrix n n Double



